> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/hou-duan-api-ji-cheng/hou-duan-fei-ka-pian-api-ji-cheng/can-shu-shi-li/xian-xia-bian-li-dian-zhi-fu.md).

# 线下/便利店支付

{% hint style="info" %}

### <mark style="color:purple;">📘Boleto</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<Your APIKEY>",
  "order_id": "<Your OrderID>",
  "lang": "en",
  "merchant_name": "Koko eBooks",
  "type": "1",
  "pay_type": "3",
  "pay_channel": "100",
  "email": "test@codapayments.com",
  "msisdn":"xxxx",
  "items": [
    {
      "code": "1",
      "name": "One Day",
      "price": 500
    }
  ],
  "profile": {
    "name":"Yosep Joestar",
    "id_no": "88899988811",
    "dateofbirth":"19950420",
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6647829346999913873,
    "txn_timeout": 14409,
    "result_code": 431,
    "result_desc": "You will be notified when it has been completed. ",
    "total_price": 500.0,
    "pay_instructions": "",
    "profile": {
        "extInfoByte": "0",
        "dateofbirth": "19950420",
        "id_no": "88899988811",
        "user_id": "Testuser397",
        "name": "Yosep Joestar",
        "merchantType": "Codapay",
        "redirect_url": "https://boleto.latamgateway.com/boleto/a92227b2-e11d-4a10-b506-9108b52e8f3c",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Cash at retail ex 7-11 (Philippines)</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<Your APIKEY>",
  "order_id": "<Your OrderID>",
  "lang": "en",
  "merchant_name": "Koko eBooks",
  "type": "1",
  "pay_type": "3",
  "pay_channel": "67",
  "email": "test@codapayments.com",
  "items": [
    {
      "code": "1",
      "name": "One Day",
      "price": 600
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6647837363602832385,
    "txn_timeout": 7269,
    "result_code": 431,
    "result_desc": "You will be notified when it has been completed. Need Help? Visit our <a href=“http://bit.ly/phCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 600.0,
    "pay_instructions": "Please check your email for detailed instructions on completing your payment",
    "profile": {
        "SurchargeDiscount_251": "0.0",
        "extInfoByte": "0",
        "SurchargeDiscount_253": "0.0",
        "user_id": "Testuser397",
        "TotalPrice_253": "600.0",
        "merchantType": "Codapay",
        "TotalPrice_251": "600.0",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘7-11 (Philippines)</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<Your APIKEY>",
  "order_id": "<Your OrderID>",
  "lang": "en",
  "merchant_name": "Koko eBooks",
  "type": "1",
  "pay_type": "3",
  "pay_channel": "67",
  "pay_at":"14",
  "email": "kay.lee@codapayments.com",
  "items": [
    {
      "code": "1",
      "name": "One Day",
      "price": 600
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6647838694722957840,
    "txn_timeout": 7269,
    "result_code": 431,
    "result_desc": "You will be notified when it has been completed. Need Help? Visit our <a href=“http://bit.ly/phCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 600.0,
    "pay_instructions": "Please check your email for detailed instructions on completing your payment",
    "profile": {
        "SurchargeDiscount_251": "0.0",
        "extInfoByte": "0",
        "SurchargeDiscount_253": "0.0",
        "user_id": "Testuser397",
        "TotalPrice_253": "600.0",
        "merchantType": "Codapay",
        "TotalPrice_251": "600.0",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Alfamart</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<Your APIKEY>",
  "order_id": "<Your OrderID>",
  "lang": "en",
  "merchant_name": "Koko eBooks",
  "type": "1",
  "pay_type": "3",
  "pay_channel": "55",
  "pay_at":"14",
  "msisdn":"xxxx",
  "email": "'test@codapayments.com",
  "items": [
    {
      "code": "1",
      "name": "One Day",
      "price": 1000
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6647841844581913644,
    "txn_timeout": 1509,
    "result_code": 0,
    "total_price": 1000.0,
    "pay_instructions": "Proceed to an Alfamart store within the next 24h to complete your purchase.",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": "8888820543305209"
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Bank Transfers and Cash at Retail (Thailand) - Big C</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<API Key>",
  "order_id": "20221104050454",
  "lang": "en",
  "pay_type": "3",
  "pay_channel": "21",
  "pay_at": "14",
  "msisdn": "66628377749",
  "email":"test@codapayments.com",
  "type": "1",
  "merchant_name": "Koko eBooks",
  "items": [
    {
      "code": "6",
      "name": "test test",
      "price": "500.0"
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6678076411963847216,
    "txn_timeout": 4389,
    "result_code": 431,
    "result_desc": "Please try again in a few minutes. Need Help? Visit our <a href=“http://bit.ly/thCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 500.0,
    "pay_instructions": "We have sent you a payment slip by email, please follow the instruction to complete your payment at BIGC. ",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Bank Transfers and Cash at Retail (Thailand) - Family Mart)</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<API Key>",
  "order_id": "20221104050454",
  "lang": "en",
  "pay_type": "3",
  "pay_channel": "22",
  "pay_at": "14",
  "msisdn": "66628377749",
  "email":"test@codapayments.com",
  "type": "1",
  "merchant_name": "Koko eBooks",
  "items": [
    {
      "code": "6",
      "name": "test test",
      "price": "500.0"
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6678106908793875420,
    "txn_timeout": 4389,
    "result_code": 431,
    "result_desc": "Please try again in a few minutes. Need Help? Visit our <a href=“http://bit.ly/thCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 500.0,
    "pay_instructions": "We have sent you a payment slip by email, please follow the instruction to complete your payment at FAMILYMART. ",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Bank Transfer and Cash at Retail (Thailand) - TESCO</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<API Key>",
  "order_id": "20221104050454",
  "lang": "en",
  "pay_type": "3",
  "pay_channel": "25",
  "pay_at": "14",
  "msisdn": "66628377749",
  "email":"test@codapayments.com",
  "type": "1",
  "merchant_name": "Koko eBooks",
  "items": [
    {
      "code": "6",
      "name": "test test",
      "price": "500.0"
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6678108679123749105,
    "txn_timeout": 4389,
    "result_code": 431,
    "result_desc": "Please try again in a few minutes. Need Help? Visit our <a href=“http://bit.ly/thCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 500.0,
    "pay_instructions": "We have sent you a payment slip by email, please follow the instruction to complete your payment at TESCO. ",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %} <mark style="color:purple;">**Bank Transfers and Cash at Retail (Thailand) - MPAY**</mark>
{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<API Key>",
  "order_id": "20221104050454",
  "lang": "en",
  "pay_type": "3",
  "pay_channel": "23",
  "pay_at": "14",
  "msisdn": "66628377749",
  "email":"test@codapayments.com",
  "type": "1",
  "merchant_name": "Koko eBooks",
  "items": [
    {
      "code": "6",
      "name": "test test",
      "price": "500.0"
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6678117605093848939,
    "txn_timeout": 4389,
    "result_code": 431,
    "result_desc": "Please try again in a few minutes. Need Help? Visit our <a href=“http://bit.ly/thCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 500.0,
    "pay_instructions": "We have sent you a payment slip by email, please follow the instruction to complete your payment at MPAY. ",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Bank transfers and cash at retail (Thailand) - PayAtPost</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<API Key>",
  "order_id": "20221104050454",
  "lang": "en",
  "pay_type": "3",
  "pay_channel": "24",
  "pay_at": "14",
  "msisdn": "66628377749",
  "email":"test@codapayments.com",
  "type": "1",
  "merchant_name": "Koko eBooks",
  "items": [
    {
      "code": "6",
      "name": "test test",
      "price": "500.0"
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6678119815783835491,
    "txn_timeout": 4389,
    "result_code": 431,
    "result_desc": "Please try again in a few minutes. Need Help? Visit our <a href=“http://bit.ly/thCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 500.0,
    "pay_instructions": "We have sent you a payment slip by email, please follow the instruction to complete your payment at PAYATPOST. ",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Bank transfers and cash at retail (Thailand) - True Money Express</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<API Key>",
  "order_id": "20221104050454",
  "lang": "en",
  "pay_type": "3",
  "pay_channel": "27",
  "pay_at": "14",
  "msisdn": "66628377749",
  "email":"test@codapayments.com",
  "type": "1",
  "merchant_name": "Koko eBooks",
  "items": [
    {
      "code": "6",
      "name": "test test",
      "price": "500.0"
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6678143595003844259,
    "txn_timeout": 4389,
    "result_code": 431,
    "result_desc": "Please try again in a few minutes. Need Help? Visit our <a href=“http://bit.ly/thCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 500.0,
    "pay_instructions": "We have sent you a payment slip by email, please follow the instruction to complete your payment at TRUEMONEY. ",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": ""
    }
}
```

</details>

{% hint style="info" %}

### <mark style="color:purple;">📘Bank transfers and cash at retail (Thailand) - Cenpay</mark>

{% endhint %}

<details>

<summary>商家请求</summary>

```json
{
  "api_key": "<API Key>",
  "order_id": "20221104050454",
  "lang": "en",
  "pay_type": "3",
  "pay_channel": "37",
  "pay_at": "14",
  "msisdn": "66628377749",
  "email":"test@codapayments.com",
  "type": "1",
  "merchant_name": "Koko eBooks",
  "items": [
    {
      "code": "6",
      "name": "test test",
      "price": "500.0"
    }
  ],
  "profile": {
    "user_id": "Testuser397"
  }
}
```

</details>

<details>

<summary>Coda返回</summary>

```json
{
    "txn_id": 6678217342173864957,
    "txn_timeout": 4389,
    "result_code": 431,
    "result_desc": "Please try again in a few minutes. Need Help? Visit our <a href=“http://bit.ly/thCODAhelp” target=“_blank”>Help Center</a>.",
    "total_price": 500.0,
    "pay_instructions": "We have sent you a payment slip by email, please follow the instruction to complete your payment at CENPAY. ",
    "profile": {
        "extInfoByte": "0",
        "user_id": "Testuser397",
        "merchantType": "Codapay",
        "payment_code": ""
    }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/hou-duan-api-ji-cheng/hou-duan-fei-ka-pian-api-ji-cheng/can-shu-shi-li/xian-xia-bian-li-dian-zhi-fu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
